Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.DialogDescriptionElement Class Reference

## Public Member Functions
| DialogDescriptionElement ()
| Constructor.
| DialogDescriptionElement (String name, String item_id, String type, String next_tab, int width, int height, int char_width, int char_height, String font, boolean bold, boolean italic, String alignment, String align_children, DialogDescriptionElementArray element_array)
| Constructor, with parameters. More...
| DialogDescriptionElement (DialogDescriptionElement dlg_des_element)
| Constructor, with another dialog description element object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
String | getAlign_children ()
| Get the alignment for all descendants. More...
String | getAlignment ()
| Get the alignment for this element. More...
boolean | getBold ()
| Get specify if the font is bold. More...
int | getChar_height ()
| Get specifies the height of the element in characters. More...
int | getChar_width ()
| Get specifies the width of the element in characters. More...
DialogDescriptionElementArray | getElement_array ()
| Get an array of object literals that describe the subelements of this dialog box element. More...
String | getFont ()
| Get the font to use for this element. More...
int | getHeight ()
| Get specifies the height of the element in pixels. More...
boolean | getItalic ()
| Get specify if the font is italic. More...
String | getItem_id ()
| Get an ItemID for this dialog box. More...
String | getName ()
| Get the displayed name of the dialog box element. More...
String | getNext_tab ()
| Get an ItemID for the next dialog box item in the tab order. More...
String | getType ()
| Get the type of this dialog box element. More...
int | getWidth ()
| Get specifies the width of the element in pixels. More...
void | set (String name, String item_id, String type, String next_tab, int width, int height, int char_width, int char_height, String font, boolean bold, boolean italic, String alignment, String align_children, DialogDescriptionElementArray element_array)
| Set values. More...
void | setAlign_children (String value)
| Set the alignment for all descendants. More...
void | setAlignment (String value)
| Set the alignment for this element. More...
void | setBold (boolean value)
| Set specify if the font is bold. More...
void | setChar_height (int value)
| Set specifies the height of the element in characters. More...
void | setChar_width (int value)
| Set specifies the width of the element in characters. More...
void | setElement_array (DialogDescriptionElementArray value)
| Set an array of object literals that describe the subelements of this dialog box element. More...
void | setFont (String value)
| Set the font to use for this element. More...
void | setHeight (int value)
| Set specifies the height of the element in pixels. More...
void | setItalic (boolean value)
| Set specify if the font is italic. More...
void | setItem_id (String value)
| Set an ItemID for this dialog box. More...
void | setName (String value)
| Set the displayed name of the dialog box element. More...
void | setNext_tab (String value)
| Set an ItemID for the next dialog box item in the tab order. More...
void | setType (String value)
| Set the type of this dialog box element. More...
void | setWidth (int value)
| Set specifies the width of the element in pixels. More...

## Detailed Description

This class represents a dialog box elements property specifies an object literal with the following set of properties.

## Constructor & Destructor Documentation

## ◆ DialogDescriptionElement() [1/2]

com.foxit.sdk.DialogDescriptionElement.DialogDescriptionElement | ( | String | name,
|  | String | item_id,
|  | String | type,
|  | String | next_tab,
|  | int | width,
|  | int | height,
|  | int | char_width,
|  | int | char_height,
|  | String | font,
|  | boolean | bold,
|  | boolean | italic,
|  | String | alignment,
|  | String | align_children,
|  | DialogDescriptionElementArray | element_array
| ) |  |

Constructor, with parameters.

Parameters

  [in] | name | The displayed name of the dialog box element.
  [in] | item_id | An ItemID for this dialog box.
  [in] | type | The type of this dialog box element.
  [in] | next_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | Specifies the width of the element in pixels.
  [in] | height | Specifies the height of the element in pixels.
  [in] | char_width | Specifies the width of the element in characters.
  [in] | char_height | Specifies the height of the element in characters.
  [in] | font | The font to use for this element.
  [in] | bold | Specify if the font is bold.
  [in] | italic | Specify if the font is italic.
  [in] | alignment | The alignment for this element.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of object literals that describe the subelements of this dialog box element.

## ◆ DialogDescriptionElement() [2/2]

com.foxit.sdk.DialogDescriptionElement.DialogDescriptionElement | ( | DialogDescriptionElement | dlg_des_element | ) |

Constructor, with another dialog description element object.

Parameters

  [in] | dlg_des_element | Another dialog description element object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.DialogDescriptionElement.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getAlign_children()

com.foxit.sdk.DialogDescriptionElement.getAlign_children | ( |  | ) |

Get the alignment for all descendants.

Returns
  The alignment for all descendants.

## ◆ getAlignment()

com.foxit.sdk.DialogDescriptionElement.getAlignment | ( |  | ) |

Get the alignment for this element.

Returns
  The alignment for this element.

## ◆ getBold()

com.foxit.sdk.DialogDescriptionElement.getBold | ( |  | ) |

Get specify if the font is bold.

Returns
  Specify if the font is bold.

## ◆ getChar_height()

com.foxit.sdk.DialogDescriptionElement.getChar_height | ( |  | ) |

Get specifies the height of the element in characters.

If no height is specified, the combined height of the contents is used.

Returns
  Specifies the height of the element in characters.

## ◆ getChar_width()

com.foxit.sdk.DialogDescriptionElement.getChar_width | ( |  | ) |

Get specifies the width of the element in characters.

If no width is specified, the combined width of the contents is used.

Returns
  Specifies the width of the element in characters.

## ◆ getElement_array()

com.foxit.sdk.DialogDescriptionElement.getElement_array | ( |  | ) |

Get an array of object literals that describe the subelements of this dialog box element.

Returns
  An array of object literals that describe the subelements of this dialog box element.

## ◆ getFont()

com.foxit.sdk.DialogDescriptionElement.getFont | ( |  | ) |

Get the font to use for this element.

It will be one of the following strings:

- "default" - Default font

- "dialog" - Dialog box font

- "palette" - Palette (small) Font

Returns
  The font to use for this element.

## ◆ getHeight()

com.foxit.sdk.DialogDescriptionElement.getHeight | ( |  | ) |

Get specifies the height of the element in pixels.

If no height is specified, the combined height of the contents is used.

Returns
  Specifies the height of the element in pixels.

## ◆ getItalic()

com.foxit.sdk.DialogDescriptionElement.getItalic | ( |  | ) |

Get specify if the font is italic.

Returns
  Specify if the font is italic.

## ◆ getItem_id()

com.foxit.sdk.DialogDescriptionElement.getItem_id | ( |  | ) |

Get an ItemID for this dialog box.

Returns
  An ItemID for this dialog box.

## ◆ getName()

com.foxit.sdk.DialogDescriptionElement.getName | ( |  | ) |

Get the displayed name of the dialog box element.

Returns
  The displayed name of the dialog box element.

## ◆ getNext_tab()

com.foxit.sdk.DialogDescriptionElement.getNext_tab | ( |  | ) |

Get an ItemID for the next dialog box item in the tab order.

Returns
  An ItemID for the next dialog box item in the tab order.

## ◆ getType()

com.foxit.sdk.DialogDescriptionElement.getType | ( |  | ) |

Get the type of this dialog box element.

Returns
  The type of this dialog box element.

## ◆ getWidth()

com.foxit.sdk.DialogDescriptionElement.getWidth | ( |  | ) |

Get specifies the width of the element in pixels.

If no width is specified, the combined width of the contents is used.

Returns
  Specifies the width of the element in pixels.

## ◆ set()

void com.foxit.sdk.DialogDescriptionElement.set | ( | String | name,
|  | String | item_id,
|  | String | type,
|  | String | next_tab,
|  | int | width,
|  | int | height,
|  | int | char_width,
|  | int | char_height,
|  | String | font,
|  | boolean | bold,
|  | boolean | italic,
|  | String | alignment,
|  | String | align_children,
|  | DialogDescriptionElementArray | element_array
| ) |  |

Set values.

Parameters

  [in] | name | The displayed name of the dialog box element.
  [in] | item_id | An ItemID for this dialog box.
  [in] | type | The type of this dialog box element.
  [in] | next_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | Specifies the width of the element in pixels.
  [in] | height | Specifies the height of the element in pixels.
  [in] | char_width | Specifies the width of the element in characters.
  [in] | char_height | Specifies the height of the element in characters.
  [in] | font | The font to use for this element.
  [in] | bold | Specify if the font is bold.
  [in] | italic | Specify if the font is italic.
  [in] | alignment | The alignment for this element.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of object literals that describe the subelements of this dialog box element.

Returns
  None.

## ◆ setAlign_children()

com.foxit.sdk.DialogDescriptionElement.setAlign_children | ( | String | value | ) |

Set the alignment for all descendants.

Parameters

  [in] | value | The alignment for all descendants.

Returns
  None.

## ◆ setAlignment()

com.foxit.sdk.DialogDescriptionElement.setAlignment | ( | String | value | ) |

Set the alignment for this element.

Parameters

  [in] | value | The alignment for this element.

Returns
  None.

## ◆ setBold()

com.foxit.sdk.DialogDescriptionElement.setBold | ( | boolean | value | ) |

Set specify if the font is bold.

Parameters

  [in] | value | Specify if the font is bold.

Returns
  None.

## ◆ setChar_height()

com.foxit.sdk.DialogDescriptionElement.setChar_height | ( | int | value | ) |

Set specifies the height of the element in characters.

If no height is specified, the combined height of the contents is used.

Parameters

  [in] | value | Specifies the height of the element in characters.

Returns
  None.

## ◆ setChar_width()

com.foxit.sdk.DialogDescriptionElement.setChar_width | ( | int | value | ) |

Set specifies the width of the element in characters.

If no width is specified, the combined width of the contents is used.

Parameters

  [in] | value | Specifies the width of the element in characters.

Returns
  None.

## ◆ setElement_array()

com.foxit.sdk.DialogDescriptionElement.setElement_array | ( | DialogDescriptionElementArray | value | ) |

Set an array of object literals that describe the subelements of this dialog box element.

Parameters

  [in] | value | An array of object literals that describe the subelements of this dialog box element.

Returns
  None.

## ◆ setFont()

com.foxit.sdk.DialogDescriptionElement.setFont | ( | String | value | ) |

Set the font to use for this element.

It will be one of the following strings:

- "default" - Default font

- "dialog" - Dialog box font

- "palette" - Palette (small) Font

Parameters

  [in] | value | The font to use for this element.

Returns
  None.

## ◆ setHeight()

com.foxit.sdk.DialogDescriptionElement.setHeight | ( | int | value | ) |

Set specifies the height of the element in pixels.

If no height is specified, the combined height of the contents is used.

Parameters

  [in] | value | Specifies the height of the element in pixels.

Returns
  None.

## ◆ setItalic()

com.foxit.sdk.DialogDescriptionElement.setItalic | ( | boolean | value | ) |

Set specify if the font is italic.

Parameters

  [in] | value | Specify if the font is italic.

Returns
  None.

## ◆ setItem_id()

com.foxit.sdk.DialogDescriptionElement.setItem_id | ( | String | value | ) |

Set an ItemID for this dialog box.

Parameters

  [in] | value | An ItemID for this dialog box.

Returns
  None.

## ◆ setName()

com.foxit.sdk.DialogDescriptionElement.setName | ( | String | value | ) |

Set the displayed name of the dialog box element.

Parameters

  [in] | value | The displayed name of the dialog box element.

Returns
  None.

## ◆ setNext_tab()

com.foxit.sdk.DialogDescriptionElement.setNext_tab | ( | String | value | ) |

Set an ItemID for the next dialog box item in the tab order.

Parameters

  [in] | value | An ItemID for the next dialog box item in the tab order.

Returns
  None.

## ◆ setType()

com.foxit.sdk.DialogDescriptionElement.setType | ( | String | value | ) |

Set the type of this dialog box element.

Parameters

  [in] | value | The type of this dialog box element.

Returns
  None.

## ◆ setWidth()

com.foxit.sdk.DialogDescriptionElement.setWidth | ( | int | value | ) |

Set specifies the width of the element in pixels.

If no width is specified, the combined width of the contents is used.

Parameters

  [in] | value | Specifies the width of the element in pixels.

Returns
  None.